// aeoption.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"
#include "toolopt.h"
#include "ce.h"
#include "ceoption.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEOption dialog


CEOption::CEOption(CETool *pTool /*=NULL*/)
    : CPropertyPage(CEOption::IDD)
{  
    ASSERT(pTool);
    m_pTool = pTool;
    
    LoadData(); 
    //{{AFX_DATA_INIT(CEOption)
    
    //}}AFX_DATA_INIT
}

void CEOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CEOption)
    DDX_Text(pDX, IDC_CEOPT_EDIT1, m_strPath);
    DDX_Text(pDX, IDC_CEOPT_EDIT2, m_strProg);
    //}}AFX_DATA_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CEOption message handlers
  void CEOption::SaveData(void)
{                                  
    //UpdateData(TRUE);
    
    m_pTool->m_strPath    = m_strPath;
    m_pTool->m_strProg    = m_strProg;
}

 void CEOption::LoadData(void)
{
    m_strPath  = m_pTool->m_strPath;
    m_strProg    = m_pTool->m_strProg;
}

BEGIN_MESSAGE_MAP(CEOption, CPropertyPage)
    //{{AFX_MSG_MAP(CEOption)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()